Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006233 [JEDI VCL] 00 JVCL Components feature always 2013-12-04 12:41 2015-09-14 13:20
Reporter Torbins View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006233: TJvMemoryData.FixReadOnlyFields should be public
Description TJvMemoryData.FixReadOnlyFields is very useful when filling TJvMemoryData manualy, when source of table data is not wrapped in TDataSet. That is why it should be public. But this method probably needs new name. Something like ReadOnlyFieldsModification(AAllowed: Boolean)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020752)
obones (administrator)
2013-12-13 11:10

Please try with the latest JVCL version in GIT (or daily zip) and then send us a zipped file containing the sources of an application showing the issue.
(0020851)
Torbins (reporter)
2013-12-16 11:58

???
Let's imagine someone is interacting with external application via OLE. He reads some tabular data from this application, and stores it in the TJvMemoryData. So he is doing something like that:

OLEApp.FirstRow;
while not OLEApp.EndOfTable do
begin
  JvMemoryData1.Append;
  JvMemoryData1Field1.Value := OLEApp.CurrentRow.Field1;
  JvMemoryData1Field2.Value := OLEApp.CurrentRow.Field2;
  JvMemoryData1Field3.Value := OLEApp.CurrentRow.Field3;
  JvMemoryData1.Post;

  OLEApp.NextRow;
end;

Then that JvMemoryData1 will be edited via some DB-controls, but some fields should be ReadOnly. So someone needs to do JvMemoryData1.FixReadOnlyFields(True), fill the dataset, and then JvMemoryData1.FixReadOnlyFields(False). That is why I suggest to make FixReadOnlyFields public.
(0020881)
obones (administrator)
2013-12-18 15:31

This is now in GIT

- Issue History
Date Modified Username Field Change
2013-12-04 12:41 Torbins New Issue
2013-12-13 11:10 obones Note Added: 0020752
2013-12-13 11:10 obones Status new => feedback
2013-12-16 11:58 Torbins Note Added: 0020851
2013-12-16 17:48 obones Status feedback => acknowledged
2013-12-18 15:31 obones Note Added: 0020881
2013-12-18 15:31 obones Status acknowledged => resolved
2013-12-18 15:31 obones Fixed in Version => Daily / GIT
2013-12-18 15:31 obones Resolution open => fixed
2013-12-18 15:31 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker